## ros-galactic-interactive-marker-twist-server 2.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(interactive_marker_twist_server)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(interactive_markers REQUIRED)
find_package(rclcpp REQUIRED)
find_package(tf2 REQUIRED)
find_package(visualization_msgs REQUIRED)

add_executable(${PROJECT_NAME} src/marker_server.cpp)
ament_target_dependencies(${PROJECT_NAME}
  geometry_msgs
  interactive_markers
  rclcpp
  tf2
  visualization_msgs
)

set_target_properties(${PROJECT_NAME}
  PROPERTIES OUTPUT_NAME marker_server PREFIX "")

install(TARGETS ${PROJECT_NAME} DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY
  launch config
  DESTINATION share/${PROJECT_NAME}/
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-galactic-interactive-marker-twist-server (2.0.0-1focal) focal; urgency=high

  * Add license, contributing, and copyright headers for linter
  * Style changes for linter
  * List dependencies in alphabetical order
  * add missing tick
  * add basic usage instructions
  * create ROS2 XML launch file
  * add config argument
  * initial README
  * Re-include standard library headers
  * Cleanup
  * Use SingleThreadedExecutor; change topic name from global to relative; remove logging
  * Remove duplicate imports
  * Change default config file to linear
  * Cleanup CMakeLists.txt and package.xml
  * Rename launch file to follow ROS2 naming convention
  * Disable requirement for declared parameters via node options; uncomment lines to make node work
  * Change values from int to double
  * Launch file
  * Initial launch file
  * Recover descriptions
  * Initialize server in constructor initialization list, readd marker_size_scale, fix getParameters()
  * Make processFeedback() publicly accessible
  * Init createInteractiveMarkers() and processFeedback() methods
  * Initial getParameters() method
  * Port methods
  * Initial functional skeleton ros2 node
  * Remove unused cmd_vel_topic variable (#18 <https://github.com/ros-visualization/interactive_marker_twist_server/issues/18>)
  * Initial migration CMakeLists.txt and package.xml
  * Contributors: Joey Yang, jyang, jyang-cpr

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 13 Apr 2022 04:00:00 -0000

ros-galactic-interactive-marker-twist-server (1.2.2-1focal) focal; urgency=high

  * Remove the leading '/' from the default link; this causes errors in Noetic
  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Chris Iverach-Brereton, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 03 Feb 2021 05:00:00 -0000

ros-galactic-interactive-marker-twist-server (1.2.1-1focal) focal; urgency=high

  * Added tf as a dep.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 26 Jan 2021 05:00:00 -0000

ros-galactic-interactive-marker-twist-server (1.2.0-1focal) focal; urgency=high

  * Fixed CMake warning and updated to package format 2. (#11 <https://github.com/ros-visualization/interactive_marker_twist_server/issues/11>)
  * Install the default config files. (#10 <https://github.com/ros-visualization/interactive_marker_twist_server/issues/10>)
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 22 Jun 2017 04:00:00 -0000

ros-galactic-interactive-marker-twist-server (1.1.0-1focal) focal; urgency=high

  * Added additional degrees of freedom (YZ) to linear interactive markers. (#7 <https://github.com/ros-visualization/interactive_marker_twist_server/issues/7>)
  * Fix YZ rotation. (#6 <https://github.com/ros-visualization/interactive_marker_twist_server/issues/6>)
  * Contributors: Mike Purvis, Paul Bovbel, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 20 Dec 2016 05:00:00 -0000

ros-galactic-interactive-marker-twist-server (1.0.0-1focal) focal; urgency=high

  * Add roslaunch file check, roslint
  * Make cmd_vel topic relative; fixes #3 <https://github.com/ros-visualization/interactive_marker_twist_server/issues/3>.
  * Max speed control, fixes #1 <https://github.com/ros-visualization/interactive_marker_twist_server/issues/1>
  * Update copyright.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Mon, 31 Mar 2014 04:00:00 -0000

ros-galactic-interactive-marker-twist-server (0.0.1-1focal) focal; urgency=high

  * Parameterize robot's name and the size of the resulting markers.
  * Remove non-markers files from turtlebot_viz, Turtlebot-specific references.
  * Starting point is https://github.com/turtlebot/turtlebot_viz

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 27 Nov 2013 05:00:00 -0000

=== debian/control ===
Source: ros-galactic-interactive-marker-twist-server
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-geometry-msgs, ros-galactic-interactive-markers, ros-galactic-rclcpp, ros-galactic-tf2, ros-galactic-visualization-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-interactive-marker-twist-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-geometry-msgs, ros-galactic-interactive-markers, ros-galactic-rclcpp, ros-galactic-tf2, ros-galactic-visualization-msgs, ros-galactic-ros-workspace
Description: Interactive control for generic Twist-based robots using interactive markers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-interactive-marker-twist-server//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
